# Generated by the gRPC Python protocol compiler plugin. DO NOT EDIT!
import grpc

from athena.api import athena_pb2 as weclikd_dot_service_dot_athena__pb2


class AthenaStub(object):
  # missing associated documentation comment in .proto file
  pass

  def __init__(self, channel):
    """Constructor.

    Args:
      channel: A grpc.Channel.
    """
    self.GetTopicInfos = channel.unary_unary(
        '/weclikd.Athena/GetTopicInfos',
        request_serializer=weclikd_dot_service_dot_athena__pb2.GetTopicInfosRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_athena__pb2.GetTopicInfosResponse.FromString,
        )
    self.ValidateTopics = channel.unary_unary(
        '/weclikd.Athena/ValidateTopics',
        request_serializer=weclikd_dot_service_dot_athena__pb2.ValidateTopicsRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_athena__pb2.ValidateTopicsResponse.FromString,
        )
    self.GetTrendingTopics = channel.unary_unary(
        '/weclikd.Athena/GetTrendingTopics',
        request_serializer=weclikd_dot_service_dot_athena__pb2.GetTrendingTopicsRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_athena__pb2.GetTrendingTopicsResponse.FromString,
        )
    self.EditTopic = channel.unary_unary(
        '/weclikd.Athena/EditTopic',
        request_serializer=weclikd_dot_service_dot_athena__pb2.EditTopicRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_athena__pb2.EditTopicResponse.FromString,
        )
    self.GetNewTopics = channel.unary_unary(
        '/weclikd.Athena/GetNewTopics',
        request_serializer=weclikd_dot_service_dot_athena__pb2.GetNewTopicsRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_athena__pb2.GetNewTopicsResponse.FromString,
        )
    self.ApproveTopic = channel.unary_unary(
        '/weclikd.Athena/ApproveTopic',
        request_serializer=weclikd_dot_service_dot_athena__pb2.ApproveTopicRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_athena__pb2.ApproveTopicResponse.FromString,
        )
    self.DeleteTopic = channel.unary_unary(
        '/weclikd.Athena/DeleteTopic',
        request_serializer=weclikd_dot_service_dot_athena__pb2.DeleteTopicRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_athena__pb2.DeleteTopicResponse.FromString,
        )
    self.ProposeTopic = channel.unary_unary(
        '/weclikd.Athena/ProposeTopic',
        request_serializer=weclikd_dot_service_dot_athena__pb2.ProposeTopicRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_athena__pb2.ProposeTopicResponse.FromString,
        )
    self.GetChildTopics = channel.unary_unary(
        '/weclikd.Athena/GetChildTopics',
        request_serializer=weclikd_dot_service_dot_athena__pb2.GetChildTopicsRequest.SerializeToString,
        response_deserializer=weclikd_dot_service_dot_athena__pb2.GetChildTopicsResponse.FromString,
        )


class AthenaServicer(object):
  # missing associated documentation comment in .proto file
  pass

  def GetTopicInfos(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ValidateTopics(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetTrendingTopics(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def EditTopic(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetNewTopics(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ApproveTopic(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def DeleteTopic(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def ProposeTopic(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')

  def GetChildTopics(self, request, context):
    # missing associated documentation comment in .proto file
    pass
    context.set_code(grpc.StatusCode.UNIMPLEMENTED)
    context.set_details('Method not implemented!')
    raise NotImplementedError('Method not implemented!')


def add_AthenaServicer_to_server(servicer, server):
  rpc_method_handlers = {
      'GetTopicInfos': grpc.unary_unary_rpc_method_handler(
          servicer.GetTopicInfos,
          request_deserializer=weclikd_dot_service_dot_athena__pb2.GetTopicInfosRequest.FromString,
          response_serializer=weclikd_dot_service_dot_athena__pb2.GetTopicInfosResponse.SerializeToString,
      ),
      'ValidateTopics': grpc.unary_unary_rpc_method_handler(
          servicer.ValidateTopics,
          request_deserializer=weclikd_dot_service_dot_athena__pb2.ValidateTopicsRequest.FromString,
          response_serializer=weclikd_dot_service_dot_athena__pb2.ValidateTopicsResponse.SerializeToString,
      ),
      'GetTrendingTopics': grpc.unary_unary_rpc_method_handler(
          servicer.GetTrendingTopics,
          request_deserializer=weclikd_dot_service_dot_athena__pb2.GetTrendingTopicsRequest.FromString,
          response_serializer=weclikd_dot_service_dot_athena__pb2.GetTrendingTopicsResponse.SerializeToString,
      ),
      'EditTopic': grpc.unary_unary_rpc_method_handler(
          servicer.EditTopic,
          request_deserializer=weclikd_dot_service_dot_athena__pb2.EditTopicRequest.FromString,
          response_serializer=weclikd_dot_service_dot_athena__pb2.EditTopicResponse.SerializeToString,
      ),
      'GetNewTopics': grpc.unary_unary_rpc_method_handler(
          servicer.GetNewTopics,
          request_deserializer=weclikd_dot_service_dot_athena__pb2.GetNewTopicsRequest.FromString,
          response_serializer=weclikd_dot_service_dot_athena__pb2.GetNewTopicsResponse.SerializeToString,
      ),
      'ApproveTopic': grpc.unary_unary_rpc_method_handler(
          servicer.ApproveTopic,
          request_deserializer=weclikd_dot_service_dot_athena__pb2.ApproveTopicRequest.FromString,
          response_serializer=weclikd_dot_service_dot_athena__pb2.ApproveTopicResponse.SerializeToString,
      ),
      'DeleteTopic': grpc.unary_unary_rpc_method_handler(
          servicer.DeleteTopic,
          request_deserializer=weclikd_dot_service_dot_athena__pb2.DeleteTopicRequest.FromString,
          response_serializer=weclikd_dot_service_dot_athena__pb2.DeleteTopicResponse.SerializeToString,
      ),
      'ProposeTopic': grpc.unary_unary_rpc_method_handler(
          servicer.ProposeTopic,
          request_deserializer=weclikd_dot_service_dot_athena__pb2.ProposeTopicRequest.FromString,
          response_serializer=weclikd_dot_service_dot_athena__pb2.ProposeTopicResponse.SerializeToString,
      ),
      'GetChildTopics': grpc.unary_unary_rpc_method_handler(
          servicer.GetChildTopics,
          request_deserializer=weclikd_dot_service_dot_athena__pb2.GetChildTopicsRequest.FromString,
          response_serializer=weclikd_dot_service_dot_athena__pb2.GetChildTopicsResponse.SerializeToString,
      ),
  }
  generic_handler = grpc.method_handlers_generic_handler(
      'weclikd.Athena', rpc_method_handlers)
  server.add_generic_rpc_handlers((generic_handler,))
